Bug 311733 - Last.fm Skip button should be re-added
Summary: Last.fm Skip button should be re-added
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: 2.6.90 (2.7 beta)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: release_blocker
Depends on:
Blocks: 305576
  Show dependency treegraph
 
Reported: 2012-12-15 14:04 UTC by Matěj Laitl
Modified: 2012-12-17 14:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matěj Laitl 2012-12-15 14:04:48 UTC
Last.fm Skip button was removed (by me) when working on bug 305576 because I thought it simply ceased to work. This is not the case and should be re-added back.

(Reminder for me so I don't forget)
Comment 1 Matěj Laitl 2012-12-17 14:16:15 UTC
Git commit 9bc3717839e7f0807d42576caa0fd3005d930a7c by Matěj Laitl.
Committed on 17/12/2012 at 14:07.
Pushed by laitl into branch 'master'.

Last.fm: re-add Skip button for Last.fm radios

Due to string freeze a few translatable strings are not translatable,
I will fix this after 2.7 is released.

CHANGES:
 * Last.fm Skip button re-added after being removed in Beta by error.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +5    -0    src/MainWindow.cpp
M  +1    -0    src/MainWindow.h
M  +8    -0    src/services/lastfm/meta/LastFmMeta.cpp
M  +3    -0    src/services/lastfm/meta/LastFmMeta.h
M  +16   -0    src/services/lastfm/meta/MultiPlayableCapabilityImpl_p.h

http://commits.kde.org/amarok/9bc3717839e7f0807d42576caa0fd3005d930a7c